de.esprit.netsuite.client.netch

## Class IOClientNetworkAdapter

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.netsuite.client.AbstractClientObject<C>
      - - de.esprit.netsuite.client.netch.ClientNetworkAdapter
        - - de.esprit.netsuite.client.netch.IOClientNetworkAdapter

- All Implemented Interfaces:
    ApplicationObject, SimpleLogSupport, Dumpable, ClientObject, NetworkConnectionEvent.Source

      public class IOClientNetworkAdapter
      extends ClientNetworkAdapter

  This is the Socket-IO specific implementation of the `ClientNetworkAdapter`
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOClientNetworkAdapter(ClientContext ctx, ServerHost serverHost, StreamWrapper streamWrapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClientMessageConnection` | `createMessageConnection(LogChannel logCh, ServerHost serverHost, StreamWrapper streamWrapper)`
    `protected ClientRequestConnection` | `createRequestConnection(LogChannel logCh, ServerHost serverHost, StreamWrapper streamWrapper, VersionCheck versionCheck)`

    - ### Methods inherited from class de.esprit.netsuite.client.netch.ClientNetworkAdapter

      `addNetworkConnectionListener, confirmResponse, connect, disconnect, getClientConnectionInfo, getConnectedSinceTs, getServerConnectionInfo, getServerHost, getServerId, getSessionId, isConnected, isLoggedIn, isReceivingMessages, receivedResponse, removeNetworkConnectionListener, sendClientTimeoutTest, sendRequest, setConnectionTimeout, setMessageChannel, shutdown`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientObject

      `getClientConfig, getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationConfig, getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IOClientNetworkAdapter

          public IOClientNetworkAdapter(ClientContext ctx,
                                ServerHost serverHost,
                                StreamWrapper streamWrapper)

  - ### Method Detail

    - #### createRequestConnection

          protected ClientRequestConnection createRequestConnection(LogChannel logCh,
                                                        ServerHost serverHost,
                                                        StreamWrapper streamWrapper,
                                                        VersionCheck versionCheck)

      Specified by:
        `createRequestConnection` in class `ClientNetworkAdapter`

    - #### createMessageConnection

          protected ClientMessageConnection createMessageConnection(LogChannel logCh,
                                                        ServerHost serverHost,
                                                        StreamWrapper streamWrapper)

      Specified by:
        `createMessageConnection` in class `ClientNetworkAdapter`

Copyright © 2011 EsprIT-Systems. All Rights Reserved.